package com.clx.performance.service.collect;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.param.app.collect.*;
import com.clx.performance.vo.app.collect.CollectLineReportVO;

public interface CollectLineReportService {

    void saveSendAddressReport(CollectLineReportSendAddressSaveParam param);

    void saveSendAddressAbnormalReport(CollectLineReportSendAddressAbnormalSaveParam param);
    void saveLoadAbnormalReport(CollectLineReportLoadAbnormalSaveParam param);
    void saveReceiveAddressAbnormalReport(CollectLineReportReceiveAddressAbnormalSaveParam param);
    void saveOrderChildCancelAbnormalReport(CollectLineReportOrderChildCancelAbnormalSaveParam param);
    void saveLoadUnloadAbnormalReport(CollectLineReportLoadUnloadAbnormalSaveParam param);


    void saveOtherReport(CollectLineReportOtherSaveParam param);
    void saveQualityReport(CollectLineReportQualitySaveParam param);

    CollectLineReportVO getReportInfo(Integer id);

    IPage<CollectLineReportVO> pageLineReport(PageCollectLineReportParam param);

}
