package com.clx.performance.dao.impl.collect;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.clx.performance.dao.collect.CollectLineReportDao;
import com.clx.performance.mapper.collect.CollectLineReportMapper;
import com.clx.performance.model.collect.CollectLineReport;
import com.clx.performance.param.app.collect.PageCollectLineReportParam;
import com.clx.performance.vo.app.collect.CollectLineReportVO;
import com.msl.common.dao.impl.BaseDaoImpl;
import org.springframework.stereotype.Repository;

/**
 * @Author: aiqinguo
 * @Description: 线路信息上报
 * @Date: 2023/09/18 11:34:50
 * @Version: 1.0
 */
@Repository
public class CollectLineReportDaoImpl extends BaseDaoImpl<CollectLineReportMapper, CollectLineReport, Integer> implements CollectLineReportDao {

    @Override
    public IPage<CollectLineReportVO> pageLineReport(PageCollectLineReportParam param) {
        Page<CollectLineReportVO> page = Page.of(param.getPage(), param.getPageSize());
        return baseMapper.pageLineReport(page,param);
    }
}
