package com.clx.performance.sqlProvider.collect;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.clx.performance.param.app.collect.PageCollectTruckWaitParam;
import com.clx.performance.vo.app.collect.CollectTruckWaitVO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.jdbc.SQL;

public class CollectTruckWaitSqlProvider {

    public String pageWaitReport(@Param("page") Page<CollectTruckWaitVO> page, @Param("param") PageCollectTruckWaitParam param) {
        return new SQL(){{
            SELECT(" id, user_no as userNo, name, mobile, truck_no as truckNo, child_no as childNo, address_id as addressId, " +
                    " address, report_type as reportType, wait_type as waitType, station_in_time as stationInTime, " +
                    " station_in_image as stationInImage, station_out_time as stationOutTime, station_out_image as stationOutImage, " +
                    " date_format(report_time, '%Y-%m-%d %H:%i:%s') as reportTime, date_format(create_time, '%Y-%m-%d %H:%i:%s') as createTime, " +
                    " date_format(modified_time, '%Y-%m-%d %H:%i:%s') as modifiedTime "
            );
            FROM(" collect_truck_wait ");
            WHERE("user_no = #{param.userNo} ");

            ORDER_BY("create_time desc");
        }}.toString();
    }

}
